### Method

# Gtk PrintDialogprint_file_finish

since: 4.14

#### Declaration [src]

    gboolean
    gtk_print_dialog_print_file_finish (
      GtkPrintDialog* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the `gtk_print_dialog_print_file()` call and returns the results.

Available since: 4.14

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the call was successful.